Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.home
Class TasksHomeModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.home.HomeModel
              portlets.compoze.groupware.model.home.TasksHomeModel

All Implemented Interfaces:
  java.io.Serializable

public class TasksHomeModel
extends HomeModel
implements java.io.Serializable

This class represents the data model for the mail home page (`mail.jsp`).

See Also:
  Serialized Form

Constructor Summary
`TasksHomeModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, HomePreferences homePrefs, TasksPreferences tasksPrefs, Accounts accounts)` Constructor.

Method Summary
`Pagination` | `getPagination()` Gets the pagination.
`Task[]` | `getTasks()` Gets the tasks.
`TasksPreferences` | `getTasksPreferences()` Gets the tasks preferences.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setTasks(Task[] tasks)` Sets the tasks.

Methods inherited from class portlets.compoze.groupware.model.home.HomeModel
`getDateString, getFeature, getHomePreferences, getTimeString, isOnlyOneFeatureAvailable`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TasksHomeModel

    public TasksHomeModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                          FeatureGroup featureGroup,
                          GroupwarePreferences groupwarePrefs,
                          HomePreferences homePrefs,
                          TasksPreferences tasksPrefs,
                          Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `homePrefs` - the home preferences (may not be `null`)
  `tasksPrefs` - the tasks preferences (may not be `null`)

Method Detail

### getTasksPreferences

    public TasksPreferences getTasksPreferences()

  Gets the tasks preferences.

  Returns:
    the tasks preferences

### getTasks

    public Task[] getTasks()

  Gets the tasks.

  Returns:
    the tasks

### setTasks

    public void setTasks(Task[] tasks)

  Sets the tasks.

  Parameters:
    `tasks` - the tasks (may not be `null`)

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.